package com.server;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.LinkedList;
import java.util.List;

/** klasa koja prihvata konekcije od strane klijenta i dodelju im nit klase Worker
 koji dalje služi za opsluživanje
*/

public class ConnectionHandler {
	
	private ServerSocket serverSocket;
	private List<Worker> workerList = new LinkedList<Worker>();     // definiše listu Worker referenci
 	                                                                // potrebno jer GarbageCollector briše objekte
	                                                                // na koje ne postoje reference   
	ConnectionHandler()
	{
		
	}

	public void Start()
	{
		
		try {
			serverSocket = new ServerSocket(4444);         // otvara soket na portu 4444
			
			
			while(true)
			{
				
			    Socket socket = serverSocket.accept();       // prihvata konekciju od klijenta
				Worker worker = new Worker(socket);           // definiše novi objekat klase Worker
				workerList.add(worker);                      //   dodaje referencu na objekat u listu
			}
			
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		
	}
}
