package com.bankapp;

import java.util.Timer;
import java.util.TimerTask;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
  
/** Klasa koja ispisuje korisniku stanje računa na stranici aplikacije
*/

public class Second_page extends Activity {
	
	
	
  static String ret;
   
  // ovde definišemo interfejs TimerTask koji služi da vremenski ograniči trajanje aktivnosti
  
  TimerTask task = new TimerTask() {

      @Override
      public void run() {
    	  
    	  Intent intent = new Intent(Second_page.this, Goodbye_page.class);          // poziva se intent koji prebacuje sa stranice Second_page
          startActivity(intent);                                                     // na stranicu Goodbye_page 
          finish();
      }
  };
    Intent intent = getIntent();
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_second_page);         // povlači layout iz fajla activity_second_page.xml
		
		Bundle extras = getIntent().getExtras();                // definiše objekat Bundle koji je potreban da se prime podaci preneseni Intentom
	    String ret = extras.getString("message");               // getString("message") izvlaci iz objekta Bundle string koji ima id "message"    
		
		String[] result = ret.split(":");                        // razdvaja string prema simbolu ":" i pakuje u niz stringova
		String ime = result[0];                                   // dodeljuje prvu vrednost niza stringova u promenljivu tipa String
		String racun = result[1];
		String stanje = result [2];
		
		TextView inputime = (TextView) findViewById(R.id.inputime);             // referenca na polje inputime
		TextView inputstanje = (TextView) findViewById(R.id.inputstanje);       // referenca na polje inputstanje 
		TextView inputracun = (TextView) findViewById(R.id.inputracun);         // referenca na polje inputračun

		
		inputime.setText(ime);                                    // postavlja vrednost promenljive ime za vrednost polja inputime    
		inputime.setGravity(Gravity.CENTER);                      // pozicionira uneseni tekst na centar polja
		inputstanje.setText(stanje);                               // postavlja vrednost promenljive stanje za vrednost polja inputstanje
		inputstanje.setGravity(Gravity.CENTER);
		inputracun.setText(racun);                                // postavlja vrednost promenljive racun za vrednost polja inputracun
		inputracun.setGravity(Gravity.CENTER); 

	      
		   Timer t = new Timer();                                 // definiše objekat Timer 
		    t.schedule(task, 10000);                              // postavlja Timer na 10 sekundi
		   
	}
	
 
	
	protected void onDestroy() {
	    super.onDestroy();

	    ret=null;

	}

	

	
 
	

	
		//difolt
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.second_page, menu);
		return true;
	}
            // difolt
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}


}
