package com.server;
import java.sql.*;

/** klasa DBHandler je zadužena za komunikaciju sa bazom podataka
 *
 */
public class DBHandler {

	static String dbURL = "jdbc:mysql://localhost:3306/mybank";
    static String dbUsername ="root";
    static String dbPassword = "admin";   
    
    // metoda koja služi za proveravanje postojanja unesenih kredencijala u bazi
    
    public static boolean LogInProcedure(String username, String password)
	{
    	Connection dbCon = null;
        Statement stmt = null;
        ResultSet rs = null;
        
	    try 
	    {       
	        String query = "select * from credentials where password = '" + password +       //definisanje upita u SQL-u
	        		"' AND username = '" + username + "'";                                   // izvlačimo iz baze sve podatke za koje važi da je vrednost
	                                                                                         // kolona password i username odgovara unesenim kredencijalima 
	        
	        //povezivanje na MySQL server
	        dbCon = DriverManager.getConnection(dbURL, dbUsername, dbPassword);                 
	         System.out.println("Connected\n");
	
	        //pripremanje upita u bazu
	        stmt = dbCon.prepareStatement(query);
	       
	        // vraćanje rezultata upita
	        rs = stmt.executeQuery(query);
	       
	        if(rs.next()){                                                                      // ukoliko postoji rezultat dobijen
	        	return true;                                                                    // upitom cela metoda vraća vrednost true
	        }
	       
	    } catch (SQLException ex) 
	    {
	         System.out.println(ex.getMessage());
	    } finally
	    {
	    	//zatvaranje konekcija
	    	try {
				stmt.close();
				rs.close();
				dbCon.close();
			} catch (SQLException e) {
				
				e.printStackTrace();
			}
	    	
	    }
	    
	    return false;
    }
 
    // metoda koja vraća podatke iz baze za unesene kredencijale
    
    public static String SendData(String username, String password)
  	{
    	 String ime = null;
         String racun = null;
         String stanje = null;
         
      	Connection dbCon = null;
          Statement stmt = null;
          ResultSet rs = null;
         
  	    try 
  	    {       
  	        String query = "select * from credentials where password = '" + password +           //definisanje upita
  	        		"' AND username = '" + username + "'";
  	        
  	        //povezivanje na MySQL server
  	        dbCon = DriverManager.getConnection(dbURL, dbUsername, dbPassword);
  	         System.out.println("Connected");
  	
  	        //pripremanje upita
  	        stmt = dbCon.prepareStatement(query);
  	       
  	        //vraćanje rezultata upita
  	        rs = stmt.executeQuery(query);
  	        
  	        
  	       
  	        if(rs.next()){ 
  	        	ime = rs.getString("ime");                // dodeljuje promenljivoj ime vrednost kolone ime iz baze
  	        	racun = rs.getString("racun");             // dodeljuje promenljivoj racun vrednost kolone racun iz baze 
  	        	stanje = rs.getString("stanje");            // dodeljuje promenljivoj stanje vrednost kolone stanje iz baze   
  	        }
  	      
  	    } catch (SQLException ex) 
  	    {
  	         System.out.println(ex.getMessage());
  	    } finally
  	    {
  	    	//zatvaranje konekcije
  	    	try {
  				stmt.close();
  				rs.close();
  				dbCon.close();
  			} catch (SQLException e) {
  				
  				e.printStackTrace();
  			}
  	    	
  	    }
  	    
	      return ime+ ":" + racun + ":" + stanje;                   //metoda vraća string koji sadrži spakovane podatke korisnika

  	}
}